<?php

/**
 * Klasse General
 * Zeigt algemeine Einstellungen von der isgw.conf Datei
 */
class Miscellaneous {
    /*
     * Funktion display erzeugt den Inhalt von der HTML-Seite
     */

    function display($args) {

        // args
        $m = $_GET['m'];
        include('./includes/header.php');
        $misc_table = $this->dynamic_table();
        // build page content

        $ret .= "
					<form class='extensions_form' name='miscellaneous' action='' method='POST'>
					<input type=hidden name=m value='" . $m . "'>
					<input type=hidden name=a value='save'>
					<br>
					" . $misc_table;

        //Rückgabe: Inhalt der HTML-Seite
        return $ret;
    }

    /*
     * Funktion dynamic_table
     */

    function dynamic_table() {
        $table = "";
        //Wenn man Änderugen von der Daten macht werden die in der Tabelle der Datenbank
        //aktualisiert
        require_once("./includes/lang.php");
        require_once('/usr/local/php/beroConf.php');
        $bc = new beroConf('root');
        $ba = new beroAri();
        $option=1;
        if ($_POST['action'] == 'save') {
            if (isset($_POST['reset-admin-pass']))
                exec("/usr/local/sbin/reset_admin_passwd.sh");
            if (isset($_POST['experimental_options']))
                $ba->set("experimental_options", $_POST['experimental_options']);
            //Wenn userapp enable verändert wird soll ein rotes activate angezeigt werden
            if ($_POST['userapp-enabled']!=$bc->get("root", "userapp-enabled")) $option=3;
            if (isset($_POST['userapp-enabled'])) {
                $bc->set("root", "userapp-enabled", "1");
                $bc->set("root", "userapp-user-enabled", "1");
            } else {
                $bc->set("root", "userapp-enabled", "0");
                $bc->set("root", "userapp-user-enabled", "0");
            }

            $query = $ba->select("select option from activate");
            while ($entry = $ba->fetch_array($query)) {

                if ($entry['option'] <= $option) {
                    $query = $ba->update("UPDATE activate SET option=".$option);
                    $table.= "<script>aktivieren(1,'prov','".$option."','" . ACTIVATE . "');</script>";
                }
            }
        }
        $zeile = @file("/usr/conf/apiusers.conf");



        $table .= "<table class='contenttoc' id='table'>
					<tr>
					<th colspan='2'>" . MISCELLANEOUS_TABLE_HEADER_DIS . "</th>
					</tr>
					<tr>
					<td><b>" . MISCELLANEOUS_USERAPP_ENABLE_DIS . ":</b></td>
					<td>";
        if ($bc->get('root', 'userapp-enabled') == "1")
            $table.="<input type='checkbox' id='userapp-enabled' name='userapp-enabled' value='1' checked>";
        else
            $table.="<input type='checkbox' id='userapp-enabled' name='userapp-enabled' value='1'>";
        $table.="</td>
					</tr>
					<tr id='admin-pass' onmouseover=\"Tip('" . RESET_ADMIN_PWD . "')\" onmouseout='UnTip()'>
					<td><b>" . MISCELLANEOUS_ADMIN_PASS_RESET_DIS . ":</b></td>
					<td>
					<input type='checkbox' id='reset-admin-pass' name='reset-admin-pass' value='1'>
					</td>
					</tr>
					<tr>
					<td><b>" . MISCELLANEOUS_EXPERIMENTAL_OPTIONS_DIS . ":</b></td>
					<td>
					<input type='text' id='experimental_options' name='experimental_options' value='" . $ba->get("experimental_options") . "'>
					</td>
					</tr>
					<tr>
					<td colspan='2'><input type='hidden' name='action' value='save'>
					<input name='submit' type='submit' value='Save' >
					</td>
					</tr>
					</table>
					<br>
					</form>
					<script type='text/javascript'>
					function show_tr_adminPass() {
						if ($('#userapp-enabled').is(':checked'))
							$('#admin-pass').css('display','');
						else
							$('#admin-pass').css('display','none');
					}
					$('#userapp-enabled').change( function(){ show_tr_adminPass(); });
					$(document).ready(function(){ show_tr_adminPass(); });
					</script>";
        //Rückgabe: Erzeugte Tabelle mit den änderbaren Feldern von den Einstellungen von isgw.conf
        return $table;
    }

}

?>
